JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxSendStdInResult = await client.devboxes.executions.sendStdIn(
'devbox_id',
'execution_id',
);
console.log(devboxSendStdInResult.devbox_id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_send_std_in_result = client.devboxes.executions.send_std_in(
execution_id="execution_id",
devbox_id="devbox_id",
)
print(devbox_send_std_in_result.devbox_id)curl --request POST \
--url https://api.runloop.ai/v1/devboxes/{devbox_id}/executions/{execution_id}/send_std_in \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'
{
"devbox_id": "<string>",
"execution_id": "<string>",
"success": true
}Devbox
Send Content to Std In for a running execution.
Send content to the Std In of a running execution.
POST
/
v1
/
devboxes
/
{devbox_id}
/
executions
/
{execution_id}
/
send_std_in
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const devboxSendStdInResult = await client.devboxes.executions.sendStdIn(
'devbox_id',
'execution_id',
);
console.log(devboxSendStdInResult.devbox_id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
devbox_send_std_in_result = client.devboxes.executions.send_std_in(
execution_id="execution_id",
devbox_id="devbox_id",
)
print(devbox_send_std_in_result.devbox_id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Devbox ID.
The Async Execution ID.
Body
application/json
Text to send to std in of the running execution.
Signal to send to std in of the running execution.
Available options:
EOF, INTERRUPT Was this page helpful?
⌘I
